Subject: bug#18734: [PATCH] vala: Improper parsing of valac arguments leads to garbage in DIST_COMMON

From: Karl Berry <[email-masked]>
Date: Sun, 5 Apr 2020 18:39:01 -0600

-	  if (grep (/$lastflag/, ('-H', '-h', '--header', '--internal-header',
    -	                          '--vapi', '--internal-vapi', '--gir')))
    +	  if (grep (/^$lastflag$/, ('-H', '-h', '--header', '--internal-header',
    +	                            '--vapi', '--internal-vapi', '--gir')))
                {

I installed this change and am closing the bug. Thanks. --karl